# List proof versions

Gets a list of all versions of the given proofId in order from newest to oldest.

> Note: For pagination guidance, refer to Pagination.

Endpoint: GET /sheets/{sheetId}/proofs/{proofId}/versions
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `proofId` (string, required)
    ID of the original proof.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

  - `includeAll` (boolean)
    If true, include all results, that is, do not paginate. Mutually exclusive with page and pageSize (they are ignored if includeAll=true is specified).

## Response 200 fields (application/json):

  - `pageNumber` (number)
    The current page in the full result set that the data array represents. NOTE when a page number greater than totalPages is requested, the last page is instead returned.
    Example: 1

  - `pageSize` (number,null)
    The number of items in a page. Omitted if there is no limit to page size (and hence, all results are included). Unless otherwise specified, this defaults to 100 for most endpoints.
    Example: 50

  - `totalPages` (number)
    The total number of pages in the full result set.
    Example: 25

  - `totalCount` (number)
    The total number of items in the full result set.
    Example: 136

  - `data` (array)
    list of proof versions

  - `data.id` (number)
    Proof ID of the proof version.

  - `data.originalId` (number)
    Proof ID of the original proof version.

  - `data.name` (string)
    Proof name. This is the same as primary column value. If the primary column value is empty, name is empty.

  - `data.type` (string)
    File type for the proof version.
    Enum: "DOCUMENT", "IMAGE", "MIXED", "NONE", "VIDEO"

  - `data.documentType` (string)
    If type=DOCUMENT, then this indicates the type of file, such as PDF.

  - `data.proofRequestUrl` (string)
    URL to review a proofing request.

  - `data.version` (number)
    The version number of the proof.

  - `data.lastUpdatedAt` (any)

  - `data.lastUpdatedBy` (object)
    User object containing name and email of the user who last updated the proof.

  - `data.lastUpdatedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.lastUpdatedBy.name` (string)
    Example: "Jane Doe"

  - `data.isCompleted` (boolean)
    Indicates whether the proof is completed.

  - `data.attachments` (array)
    Array of Attachment objects. Only returned if the include query string parameter contains attachments.

  - `data.attachments.id` (number)
    Attachment ID.

  - `data.attachments.parentId` (number)
    The ID of the parent.

  - `data.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `data.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `data.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `data.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `data.attachments.createdAt` (any)

  - `data.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `data.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.attachments.name` (string)
    Attachment name.

  - `data.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `data.attachments.url` (string)
    Attachment temporary URL (files only).

  - `data.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `data.discussions` (array)
    Array of Discussion objects. Only returned if the include query string parameter contains discussions.

  - `data.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `data.discussions.id` (number)
    Discussion ID.

  - `data.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `data.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `data.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `data.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `data.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `data.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `data.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `data.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `data.discussions.comments.attachments.createdAt` (any)

  - `data.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `data.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.discussions.comments.attachments.name` (string)
    Attachment name.

  - `data.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `data.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `data.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `data.discussions.comments.createdAt` (any)

  - `data.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `data.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `data.discussions.comments.id` (number)
    Comment ID.

  - `data.discussions.comments.modifiedAt` (any)

  - `data.discussions.comments.text` (string)
    Comment body.

  - `data.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `data.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `data.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `data.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `data.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `data.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `data.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `data.discussions.commentAttachments.createdAt` (any)

  - `data.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `data.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.discussions.commentAttachments.name` (string)
    Attachment name.

  - `data.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `data.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `data.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `data.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `data.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `data.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `data.discussions.lastCommentedAt` (any)

  - `data.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `data.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `data.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `data.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `data.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `data.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `data.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.


